Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class ContentEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.ContentEvent

    public class ContentEvent

extends NotificationEvent

Notification event that says that the contents of a container have changed. The target element is the container.

If content is moved from one container element to another, the event with `REMOVE`and that with `ADD`are received respectively.

Field Summary
`static int` | `ADD` New content element is added.
`protected org.eclipse.birt.report.model.core.ContainerContext` | `focus`
`static int` | `REMOVE` Content element is removed.
`static int` | `SHIFT` Content element is shifted in the same container element.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`ContentEvent(org.eclipse.birt.report.model.core.ContainerContext containerInfo, org.eclipse.birt.report.model.core.DesignElement theContent, int theAction)`
`ContentEvent(org.eclipse.birt.report.model.core.DesignElement theContainer, org.eclipse.birt.report.model.core.DesignElement theContent, int theSlot, int theAction)` Constructs the content event with the container element, content element, the slot within this container and the event operation kind.

Method Summary
`int` | `getAction()` Returns the type of action.
`IDesignElement` | `getContent()` Returns the content element causing this event.
`int` | `getEventType()` Returns the event type.
`int` | `getSlot()` Returns the slot id within the container.
`boolean` | `isSame(NotificationEvent event)` Compares and justifies whether this event and the given event is the same.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  New content element is added.

  See Also:
    Constant Field Values

### REMOVE

    public static final int REMOVE

  Content element is removed.

  See Also:
    Constant Field Values

### SHIFT

    public static final int SHIFT

  Content element is shifted in the same container element.

  See Also:
    Constant Field Values

### focus

    protected org.eclipse.birt.report.model.core.ContainerContext focus

Constructor Detail

### ContentEvent

    public ContentEvent(org.eclipse.birt.report.model.core.DesignElement theContainer,
                        org.eclipse.birt.report.model.core.DesignElement theContent,
                        int theSlot,
                        int theAction)

  Constructs the content event with the container element, content element, the slot within this container and the event operation kind.

  Parameters:
    `theContainer` - the container element
    `theContent` - the content element
    `theSlot` - the slot within the container
    `theAction` - the action causing this event

### ContentEvent

    public ContentEvent(org.eclipse.birt.report.model.core.ContainerContext containerInfo,
                        org.eclipse.birt.report.model.core.DesignElement theContent,
                        int theAction)

Parameters:
  `containerInfo` -
  `theContent` -
  `theAction` -

Method Detail

### getEventType

    public int getEventType()

  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### getAction

    public int getAction()

  Returns the type of action. One of `ADD`,`REMOVE`, or `SHIFT`.

  Returns:
    the action causing this event.

### getSlot

    public int getSlot()

  Returns the slot id within the container.

  Returns:
    the slot id within the container

### getContent

    public IDesignElement getContent()

  Returns the content element causing this event.

  Returns:
    the content element causing this event.

### isSame

    public boolean isSame(NotificationEvent event)

  Description copied from class: `NotificationEvent`
  Compares and justifies whether this event and the given event is the same.

  Overrides:
    `isSame` in class `NotificationEvent`
  Parameters:
    `event` - the event to compare
  Returns:
    true if the two events are the same, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.